---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libThreadStateTest.dylib'
relocations:
  - { offsetInCU: 0x9A, offset: 0x9A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1ED78, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8CAE, offset: 0x8CAE, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x1ED80, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8D13, offset: 0x8D13, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2B3C, symSize: 0x24 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_setSingleSteppingMode, symObjAddr: 0xC70, symBinAddr: 0x2B60, symSize: 0x98 }
  - { offsetInCU: 0x90D8, offset: 0x90D8, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_setMonitorContendedMode, symObjAddr: 0xD08, symBinAddr: 0x2BF8, symSize: 0x98 }
  - { offsetInCU: 0x9227, offset: 0x9227, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_testGetThreadState, symObjAddr: 0xDA0, symBinAddr: 0x2C90, symSize: 0x154 }
  - { offsetInCU: 0x94E0, offset: 0x94E0, size: 0x8, addend: 0x0, symName: __ZL18get_carrier_threadP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xEF4, symBinAddr: 0x2DE4, symSize: 0x158 }
  - { offsetInCU: 0x9725, offset: 0x9725, size: 0x8, addend: 0x0, symName: __ZL18check_thread_stateP9_jvmtiEnvP7JNIEnv_P8_jobjectiiPKc, symObjAddr: 0x104C, symBinAddr: 0x2F3C, symSize: 0x23C }
  - { offsetInCU: 0x9C8D, offset: 0x9C8D, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_testGetThreadListStackTraces, symObjAddr: 0x1288, symBinAddr: 0x3178, symSize: 0x12C }
  - { offsetInCU: 0x9EAE, offset: 0x9EAE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x13B4, symBinAddr: 0x32A4, symSize: 0x150 }
  - { offsetInCU: 0xA00E, offset: 0xA00E, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1504, symBinAddr: 0x33F4, symSize: 0x4 }
  - { offsetInCU: 0xA05F, offset: 0xA05F, size: 0x8, addend: 0x0, symName: __ZL16MonitorContendedP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0x1508, symBinAddr: 0x33F8, symSize: 0x4 }
...
